public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Weber" <xmw@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-backup/backintime/
Date: Sat,  2 Jan 2016 22:49:21 +0000 (UTC)	[thread overview]
Message-ID: <1451774959.b4f3034f4e4353733954ffcaa2504e227144726d.xmw@gentoo> (raw)

commit:     b4f3034f4e4353733954ffcaa2504e227144726d
Author:     Michael Weber <xmw <AT> gentoo <DOT> org>
AuthorDate: Sat Jan  2 22:48:07 2016 +0000
Commit:     Michael Weber <xmw <AT> gentoo <DOT> org>
CommitDate: Sat Jan  2 22:49:19 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b4f3034f

app-backup/backintime: add RDEPEND PyQt4 (thanks Luis Lucas, bug 569982).

Package-Manager: portage-2.2.26

 app-backup/backintime/backintime-1.1.8-r1.ebuild | 78 ++++++++++++++++++++++++
 1 file changed, 78 insertions(+)

diff --git a/app-backup/backintime/backintime-1.1.8-r1.ebuild b/app-backup/backintime/backintime-1.1.8-r1.ebuild
new file mode 100644
index 0000000..dae091c
--- /dev/null
+++ b/app-backup/backintime/backintime-1.1.8-r1.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python3_3 python3_4 )
+
+inherit eutils python-single-r1
+
+DESCRIPTION="Backup system inspired by TimeVault and FlyBack, with a GUI for GNOME and KDE4"
+HOMEPAGE="http://backintime.le-web.org/"
+SRC_URI="http://${PN}.le-web.org/download/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="qt4"
+
+DEPEND="${PYTHON_DEPS}
+	dev-python/dbus-python[${PYTHON_USEDEP}]
+	dev-python/keyring[${PYTHON_USEDEP}]
+	net-misc/openssh
+	net-misc/rsync[xattr,acl]"
+RDEPEND="${DEPEND}
+	qt4? ( dev-python/PyQt4 )"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+src_prepare() {
+	#fix doc install location
+	sed -e "s:/doc/${PN}-common:/doc/${PF}:g" \
+		-i common/configure || die
+	sed -e "s:/doc/${PN}-qt4:/doc/${PF}:g" \
+		-i qt4/configure || die
+	sed -e "/addInstallFile \"..\/VERSION/d" \
+		-e "/addInstallFile \"..\/LICENSE/d" \
+		-e "/addInstallFile \"..\/debian\/copyright/d" \
+		-i {qt4,common}/configure || die
+
+	if [ -n ${LINGUAS+x} ] ; then
+		cd common/po || die
+		for po in *.po ; do
+			if ! has ${po/.po} ${LINGUAS} ; then
+				rm ${po} || die
+			fi
+		done
+	fi
+}
+
+src_configure() {
+	cd "${S}"/common || die
+	./configure --python3 --no-fuse-group || die
+	if use qt4 ; then
+		cd "${S}"/qt4 || die
+		./configure --python3 || die
+	fi
+}
+
+src_compile() {
+	cd "${S}"/common || die
+	emake
+	if use qt4 ; then
+		cd "${S}"/qt4 || die
+		emake
+	fi
+}
+
+src_install() {
+	cd "${S}"/common || die
+	emake DESTDIR="${D}" install
+	if use qt4 ; then
+		cd "${S}"/qt4 || die
+		emake DESTDIR="${D}" install
+	fi
+
+	python_optimize "${D}"
+}


             reply	other threads:[~2016-01-02 22:49 UTC|newest]

Thread overview: 42+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-01-02 22:49 Michael Weber [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-24  7:14 [gentoo-commits] repo/gentoo:master commit in: app-backup/backintime/ Joonas Niilola
2025-01-22 21:57 Andreas Sturmlechner
2025-01-13  6:54 Joonas Niilola
2024-11-24  7:54 Joonas Niilola
2024-06-03  7:42 Sam James
2024-06-03  7:42 Sam James
2024-06-03  7:42 Sam James
2024-06-03  7:36 Sam James
2024-06-03  7:36 Sam James
2023-05-04  4:36 Sam James
2023-05-03  5:59 Sam James
2022-11-23 20:19 Andreas Sturmlechner
2022-05-16 12:22 Jakov Smolić
2022-05-16  2:53 Sam James
2022-03-18 14:00 Joonas Niilola
2021-12-05  4:00 Sam James
2021-08-10  2:59 Sam James
2021-08-10  2:59 Sam James
2020-12-04 15:19 Aaron Bauman
2020-02-07  9:08 Michał Górny
2020-01-16 12:55 Andreas Sturmlechner
2020-01-13  8:50 Agostino Sarubbo
2020-01-13  8:45 Agostino Sarubbo
2020-01-01  7:55 Andreas Sturmlechner
2018-04-26  3:32 Andreas Sturmlechner
2018-04-21 22:18 Aaron Bauman
2018-04-03 16:22 Andreas Sturmlechner
2017-12-22  9:01 Michael Weber
2017-12-22  8:51 Michael Weber
2017-12-19  8:32 Jason Zaman
2017-12-18 16:43 Michael Weber
2017-12-18 16:43 Michael Weber
2016-12-19 19:56 Tobias Klausmann
2016-10-09  7:47 Pacho Ramos
2016-05-07 22:03 Michael Weber
2016-01-06 13:34 Agostino Sarubbo
2016-01-03 11:54 Agostino Sarubbo
2016-01-02 21:41 Michael Weber
2015-12-07  8:58 Justin Lecher
2015-11-26  9:58 Agostino Sarubbo
2015-11-09  9:43 Michael Weber

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1451774959.b4f3034f4e4353733954ffcaa2504e227144726d.xmw@gentoo \
    --to=xmw@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox